package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-04-30
 * @description : 小程序自动回复
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_applet_reply")
public class KfAppletReply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 游戏
     */
    @TableId(value = "game_id", type = IdType.INPUT)
    private Long gameId;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 默认回复
     */
    private String replyDefault;

    /**
     * 文本回复
     */
    private String replyText;

    /**
     * 图片回复
     */
    private String replyImg;

    /**
     * 图文链接回复
     */
    private String replyLink;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}